<?php

//---------------------------------------------------------------------------------------------------------
// 28/Octubre/2014
// Versión 1.0 Widget que muestra un contenido_opcion_generica en un div
//---------------------------------------------------------------------------------------------------------
    


function widget_contenido_opcion_generica($nombre_funcion = 'contenido_opcion_generica', $codigo_opcion = NULL) {
    include('comunes/globals.php');
    $retorno = false;
    //Si existe el tipo de escaparate, entonces lo mostramos
    if (function_exists($nombre_funcion)) {
        $retorno = $nombre_funcion($codigo_opcion);
    }
    return($retorno);
}

function contenido_opcion_generica($codigo_opcion) {
    include('comunes/globals.php');
    $ocultarCabecera = false;

    if (($codigo_opcion != NULL) && (is_a($codigo_opcion, "OpcionesWidget"))) {
        $opciones = $codigo_opcion;
        $codigo_opcion;
        if (is_a($opciones, 'OpcionesWidget')) {
            $codigo_opcion = ($opciones->configuracion->codigo_opcion != NULL) ? $opciones->configuracion->codigo_opcion : $codigo_opcion;
            $ocultarCabecera = ($opciones->configuracion->ocultarCabecera != NULL) ? $opciones->configuracion->ocultarCabecera : $ocultarCabecera;
        }
    }
    $codigo_opcion = ($codigo_opcion == NULL) ? $menu_actual : $codigo_opcion;
    $idioma = Sesion::get('idioma');
    $idioma = ($idioma != NULL) ? $idioma : Shop::$configuracion->idioma;
    //Tenemos que saber si la variable es numérica o no
    $sentencia_sql = 'SELECT nombre, texto FROM traducmenu WHERE ';
    if (is_numeric($codigo_opcion)) {
        $sentencia_sql .= " menuweb = $codigo_opcion ";
    } else {
        $sentencia_sql .= " nombre like '$codigo_opcion' ";
    }
    $sentencia_sql .= " AND idioma = '$idioma'";
    //echo("$sentencia_sql<br />\n");
    if (($conexionBD) && ($idioma != NULL)) {
        if ($resultado = mysqli_query($conexionBD, $sentencia_sql)) {
            $cadena_menus = '';
            if ($fila = mysqli_fetch_array($resultado)) {
                ?>
                <?php
                if (!$ocultarCabecera) {
                    ?>
                    <div class="<?= (__FUNCTION__); ?>">
                        <?php
                    }
                    ?>
                    <h1><?= $fila['nombre']; ?></h1>
                    <div class="op_menu_<?= $codigo_opcion; ?>"><?= $fila['texto']; ?></div>
                    <?php
                    if (!$ocultarCabecera) {
                        ?>
                    </div>
                    <?php
                }
                ?>
                <?php
            }
        }
    }
    return(true);
}
?>